## python-apeye 1.4.1

=== requirements.txt ===
apeye-core>=1.0.0b2
domdf-python-tools>=2.6.0
platformdirs>=2.3.0
requests>=2.24.0

=== doc-source/requirements.txt ===
git+https://github.com/sphinx-toolbox/sphinx-toolbox.git
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental.git
default-values>=0.6.0
extras-require>=0.5.0
furo>=2020.11.19b18
html-section>=0.3.0
pyyaml>=5.3.1
repo-helper-sphinx-theme>=0.0.2
seed-intersphinx-mapping>=1.2.2
sphinx>=3.0.4
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.2.2
sphinx-licenseinfo>=0.3.1
sphinx-notfound-page>=0.7.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.5.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.1.6
tabulate>=0.8.7
toctree-plus>=0.6.1

=== tests/requirements.txt ===
backports-datetime-fromisoformat==1.0.0; python_version == "3.6"
cherrypy>=18.8.0
coincidence>=0.2.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
importlib-metadata>=3.6.0
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-httpserver>=0.3.5
pytest-randomly>=3.7.0
pytest-timeout>=1.4.2
setuptools>=62.3.0; python_version == "3.11"

=== debian/changelog ===
python-apeye (1.4.1-4) unstable; urgency=medium

  * debian/control:
     - Added 'Testsuite: autopkgtest-pkg-pybuild'
     - Bumped Standards-Version to 4.7.0
     - Updated dh-python to dh-sequence-python3
  * debian/rules: Replaced flag '--with python3' with dh-sequence-python3

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 15 Jun 2024 15:52:06 -0300

python-apeye (1.4.1-3) unstable; urgency=medium

  * debian/control: Added dependencies for running tests
  * debian/patches: Removed because dependencies is in Debian
  * debian/rules: Note partially removed
  * debian/tests: Reconfigured and added new dependencies

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 01 Jan 2024 11:05:15 -0300

python-apeye (1.4.1-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 31 Oct 2023 21:37:54 -0300

python-apeye (1.4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1027764)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 26 Aug 2023 07:33:30 -0300

=== debian/control ===
Source: python-apeye
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               flit,
               pybuild-plugin-pyproject,
               python3-all,
               python3-apeye-core,
               python3-cachecontrol,
               python3-cherrypy3,
               python3-coincidence,
               python3-domdf-python-tools,
               python3-filelock,
               python3-platformdirs,
               python3-pytest,
               python3-pytest-datadir,
               python3-pytest-httpserver,
               python3-pytest-regressions,
               python3-requests,
               python3-setuptools
Standards-Version: 4.7.0
Homepage: https://github.com/domdfcoding/apeye
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-apeye
Vcs-Git: https://salsa.debian.org/python-team/packages/python-apeye.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-apeye
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Handy tools for working with URLs and APIs
 The "apeye" package is a Python library that makes it easy to make API
 calls asynchronously and conveniently. It provides a simple way to make
 HTTP requests, handle responses, and handle errors, all in an asynchronous
 environment.
 .
 Some of the main features of the "apeye" package include:
  - Ease of Use: It simplifies making API calls with a set of simple and
    intuitive methods.
  - Asynchronous Support: The library allows you to make multiple API calls
    asynchronously, which can improve performance when dealing with concurrent
    requests.
  - Response Handling: You can easily access the API response data, including
    the response body and HTTP headers.
  - Error Handling: "apeye" handles errors effectively, allowing you to handle
    exceptions and errors appropriately in your API calls.
  - Authentication Support: It supports various forms of authentication such as
    basic authentication, JWT token, OAuth2 and others, making it easier to
    access protected APIs.
  - Customization: You can customize request settings such as HTTP headers,
    query parameters, and more.
  - Detailed Documentation: The project has extensive documentation that
    provides detailed information on how to use the library.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=apeye
# "Permission denied @ dir_s_mkdir - /nonexistent"
export HOME=/tmp

# pytest-randomly,backports-datetime-fromisoformat,
#  which are not in Debian
export PYBUILD_TEST_ARGS= -p no:warnings \
			--ignore tests/test_email_validator.py \
			--ignore tests/test_url.py \
			--ignore tests/cachecontrol_tests/test_adapter.py \
			--ignore tests/cachecontrol_tests/test_max_age.py

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: mkdir -p ${AUTOPKGTEST_TMP}/autopkgtest
 && cp -r tests ${AUTOPKGTEST_TMP}/autopkgtest
 && cd ${AUTOPKGTEST_TMP}/autopkgtest/tests
 && HOME=/tmp python3 -m pytest -v  -p no:warnings --ignore=test_email_validator.py --ignore=test_url.py
Depends: python3-all,
         python3-cachecontrol,
         python3-cherrypy3,
         python3-coincidence,
         python3-filelock,
         python3-pytest,
         python3-pytest-datadir,
         python3-pytest-httpserver,
         python3-pytest-regressions,
         python3-pytest-timeout,
         @
Restrictions: allow-stderr
